# main package is archful to run tests everywhere but produces noarch packages
%global debug_package %{nil}
%bcond_without check
%global pname vcert

%global desc \
VCert Python is a Python library and SDK designed to simplify key generation and \
enrollment of machine identities (also known as SSL/TLS certificates and keys) \
that comply with enterprise security policy by using the Venafi Trust Protection \
Platform or Venafi as a Service.

Name: python-%{pname}
Version: 0.14.0
Release: 2%{?dist}
Summary: Automate key generation and certificate enrollment using Venafi machine identity services
License: ASL 2.0
URL: https://github.com/Venafi/vcert-python
Source0: %{url}/archive/v%{version}/vcert-python-%{version}.tar.gz
Patch0: %{name}-deps.patch

%description
%{desc}

%package -n python3-%{pname}
Summary: %{summary}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%if %{with check}
BuildRequires: python3-cryptography
BuildRequires: python3-pynacl
BuildRequires: python3-pytest
BuildRequires: python3-requests
BuildRequires: python3-ruamel-yaml
%endif
%{?python_provide:%python_provide python3-%{pname}}
BuildArch: noarch

%description -n python3-%{pname}
%{desc}

%prep
%autosetup -p1 -n vcert-python-%{version}

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
# run only non-network tests
%pytest tests/test_local_methods.py
%endif

%files -n python3-%{pname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pname}

%changelog
* Fri May 06 2022 Dominik Mierzejewski <dominik@greysector.net> 0.14.0-2
- relax dependency versions

* Tue Apr 05 2022 Dominik Mierzejewski <dominik@greysector.net> 0.14.0-1
- initial build
